Resultados 1 al 11 de 11

Tema: Grave fallo de seguridad en linux que afecta desde el kernel 2.6.17 en adelante

  1. #1 Grave fallo de seguridad en linux que afecta desde el kernel 2.6.17 en adelante 
    HH Administrator Avatar de LUK
    Fecha de ingreso
    Oct 2001
    Ubicación
    SpaÑa
    Mensajes
    5.010
    Descargas
    179
    Uploads
    246
    Vía slashdot, (http://it.slashdot.org/article.pl?sid=08/02/10/2011257) se ha descubierto un fallo de seguridad en los kernel linux de 2.6.17 a 2.6.24.1, afecta a aquellos kernels que hallan sido compilados con vmsplice. Afecta a la mayoría de las distribuciones incluyendo las últimas versiones de Debian, Fedora, Mandriva, openSUSE y Ubuntu. Se trata de un exploit local que permite alcanzar privilegios de root. El reporte de bug va acompañado del código necesario para probarlo.

    Mas info:
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=464953
    http://www.ping.uio.no/~mortehu/disa...-exploitable.c

    Exploits:
    http://www.milw0rm.com/exploits/5092
    http://www.milw0rm.com/exploits/5093


    Actualización: Si el primer exploit no te funciona y tu kernel es 2.6.23 ó 2.6.24 prueba con el segundo antes de cantar victoria.
    [][][] LUK [][][]
    hackhispano.com
    Citar  
     

  2. #2  
    HH Administrator Avatar de LUK
    Fecha de ingreso
    Oct 2001
    Ubicación
    SpaÑa
    Mensajes
    5.010
    Descargas
    179
    Uploads
    246
    Si queréis podéis dedicar un minuto a jugar un poco con el exploit para comprobar por vosotros mismos si afecta a vuestra distribución. Para ello basta descargar el código fuente del exploit, compilarlo y ejecutarlo como usuario normal. En este pantallazo os muestro el (preocupante) resultado:


    Casi tan pasmosa como la efectividad del exploit es la sencillez del parche que lo soluciona.

    Ya hay nueva versión del kernel (2.6.24.2) con el bug resuelto.

    Fuente: Kriptopolis
    [][][] LUK [][][]
    hackhispano.com
    Citar  
     

  3. #3  
    Colaborador HH
    Fecha de ingreso
    Jun 2006
    Ubicación
    Uruguay
    Mensajes
    1.450
    Descargas
    11
    Uploads
    0
    Mmm.. lamento pinchar el globo.. pero no :S

    Ubuntu nones...

    Código:
    cypress@cyp-desk:~$ gcc 5093.c -o exp
    cypress@cyp-desk:~$ ./exp
    -----------------------------------
     Linux vmsplice Local Root Exploit
     By qaaz
    -----------------------------------
    [+] addr: 0xc0119dd0
    [-] wtf
    cypress@cyp-desk:~$ gcc 5092.c -o exp
    cypress@cyp-desk:~$ ./exp
    -----------------------------------
     Linux vmsplice Local Root Exploit
     By qaaz
    -----------------------------------
    [+] mmap: 0x0 .. 0x1000
    [+] page: 0x0
    [+] page: 0x20
    [+] mmap: 0x4000 .. 0x5000
    [+] page: 0x4000
    [+] page: 0x4020
    [+] mmap: 0x1000 .. 0x2000
    [+] page: 0x1000
    [+] mmap: 0xb7e08000 .. 0xb7e3a000
    Fallo de segmentación (core dumped)
    cypress@cyp-desk:~$ uname -a
    Linux cyp-desk 2.6.20-16-generic #2 SMP Fri Feb 1 02:59:08 UTC 2008 i686 GNU/Linux
    son dos exploits diferentes... :S y ninguno de los dos funciono :S
    Última edición por Cypress; 12-02-2008 a las 04:31
    Louis Armstrong le dice a Ella Fitzgerald
    "take another drink of wine, and maybe you change your mind"
    Citar  
     

  4. #4  
    Co-Admin HackHispano.com Avatar de clarinetista
    Fecha de ingreso
    Jan 2004
    Ubicación
    HackHispano/SM
    Mensajes
    7.709
    Descargas
    30
    Uploads
    8
    Ya lo has roto cyp
    De todas maneras la noticia comenta la compilacion con vmsplice, con lo que:

    1.- Compilamos el kernel sin el soporte vmsplice;
    2.- Ejecutamos el módulo novmsplice [4] que desabilita las llamadas al sistema de vmsplice(2) y vm86old(2) del 'Linux vmsplice Local Root Exploit'
    Citar  
     

  5. #5  
    Iniciado
    Fecha de ingreso
    Oct 2007
    Mensajes
    4
    Descargas
    0
    Uploads
    0
    una pregunta en guadalinex tambien funcionaria este bug??? y como se usaria en esa distribucion que alguien sea tan amable de decirmelo por favor
    Citar  
     

  6. #6  
    Colaborador HH
    Fecha de ingreso
    Jun 2006
    Ubicación
    Uruguay
    Mensajes
    1.450
    Descargas
    11
    Uploads
    0
    se usa en todas las distribuciones igual, probá, segui el metodo que aparece arriba, bajate el source, compila con gcc, y listo, ejecutalo a ver que tal.
    Hasta ahora sé que en Centros 5 y 6 funciona, en guandalinex lei algo por no recuerdo el resultado :S sorry

    Saludos
    Louis Armstrong le dice a Ella Fitzgerald
    "take another drink of wine, and maybe you change your mind"
    Citar  
     

  7. #7  
    Iniciado
    Fecha de ingreso
    Oct 2007
    Mensajes
    4
    Descargas
    0
    Uploads
    0
    ke tendria k abrir un terminal o algo?? ademas no se si me dejara ya que es un usuario con limitaciones
    Citar  
     

  8. #8  
    Co-Admin HackHispano.com Avatar de clarinetista
    Fecha de ingreso
    Jan 2004
    Ubicación
    HackHispano/SM
    Mensajes
    7.709
    Descargas
    30
    Uploads
    8
    Guadalinex esta basado en Ubuntu y Debian, o sea que es por descarte....
    Citar  
     

  9. #9  
    Colaborador HH
    Fecha de ingreso
    Jun 2006
    Ubicación
    Uruguay
    Mensajes
    1.450
    Descargas
    11
    Uploads
    0
    Cita Iniciado por x_isra_x Ver mensaje
    ke tendria k abrir un terminal o algo?? ademas no se si me dejara ya que es un usuario con limitaciones
    Y sí.. no necesitas ningun privilegio de super usuario para compilar, como viste en mi bash.. por qué no lo probas y luego nos preguntas las dudas ?

    No lo bajes con wget, desde milw0rm, porque sino te baja etiquetas html

    SaluDoS
    Louis Armstrong le dice a Ella Fitzgerald
    "take another drink of wine, and maybe you change your mind"
    Citar  
     

  10. #10  
    Avanzado
    Fecha de ingreso
    Feb 2002
    Mensajes
    161
    Descargas
    15
    Uploads
    0
    orale que bien que encontraron un hoyo en linux, porque luego parece imposible, pero lo mejor es que solo cuenta como con medio mundo para taparlo, de manera normal, media y superior

    antes me gustaba programar varias cosas en C puro pero por las necesidades cambie a Visual Basic por la integracion y despues de un tiempo me he quedado con ello, lo que le agradesco a C es toda la logia que me genero para hacer todas las cosas, aun que haya sido juzgado de reinventar el gotoxy, el setcolor, e infindad de comando ando mal... :$

    saludos
    Citar  
     

  11. #11  
    Colaborador HH
    Fecha de ingreso
    Jun 2006
    Ubicación
    Uruguay
    Mensajes
    1.450
    Descargas
    11
    Uploads
    0
    nu entendi :S ^^

    y ya casi está parcheado el bug en realidad, lo está, pero no todas las distribuciones han actualizado su kernel..
    Última edición por Cypress; 15-02-2008 a las 02:01
    Louis Armstrong le dice a Ella Fitzgerald
    "take another drink of wine, and maybe you change your mind"
    Citar  
     

Temas similares

  1. Grave fallo de seguridad en WebGL
    Por 4v7n42 en el foro VULNERABILIDADES
    Respuestas: 0
    Último mensaje: 17-05-2011, 18:32
  2. [PDF]Seguridad en GNU/Linux, Kernel y rootkits.
    Por jmporcel en el foro INTRUSION
    Respuestas: 4
    Último mensaje: 06-05-2006, 07:05
  3. Fallo de seguridad en el kernel de Linux
    Por aerial25 en el foro NOTICIAS
    Respuestas: 2
    Último mensaje: 24-02-2004, 22:37
  4. Respuestas: 1
    Último mensaje: 03-12-2003, 21:38
  5. Grave falla afecta el Proxy Caché de Telefónica
    Por TseTse en el foro VULNERABILIDADES
    Respuestas: 2
    Último mensaje: 18-05-2003, 23:14

Marcadores

Marcadores

Permisos de publicación

  • No puedes crear nuevos temas
  • No puedes responder temas
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •